Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.awb.weakref
Class WeakRef

    java.lang.Object
      |
      +--com.ibm.awb.weakref.WeakRef

All Implemented Interfaces:
  Ref

Direct Known Subclasses:
  RemoteAgletRef

public abstract class WeakRef
extends java.lang.Object
implements Ref

Field Summary
`protected WeakRefTable` | `_table`

Constructor Summary
`protected` | `WeakRef(WeakRefTable table)`

Method Summary
`protected abstract Ref` | `findRef()`
`protected abstract Ref` | `findRef(java.io.ObjectInputStream s)`
`Ref` | `getRef(VirtualRef vref)`
`protected abstract java.lang.Object` | `getRefID()`
`void` | `referenced()`
`void` | `setRef(VirtualRef vref, java.io.ObjectInputStream s)`
`java.lang.String` | `toString()`
`void` | `unreferenced()`
`protected boolean` | `updateRef(VirtualRef vref)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ibm.awb.weakref.Ref
`getRefClassName, writeInfo`

Field Detail

### _table

    protected WeakRefTable _table

Constructor Detail

### WeakRef

    protected WeakRef(WeakRefTable table)

Method Detail

### findRef

    protected abstract Ref findRef()

### findRef

    protected abstract Ref findRef(java.io.ObjectInputStream s)
                            throws java.io.IOException,
                                   java.lang.ClassNotFoundException

### getRef

    public final Ref getRef(VirtualRef vref)

  Specified by:
    `getRef` in interface `Ref`

### getRefID

    protected abstract java.lang.Object getRefID()

### referenced

    public final void referenced()

  Specified by:
    `referenced` in interface `Ref`

### setRef

    public final void setRef(VirtualRef vref,
                             java.io.ObjectInputStream s)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `setRef` in interface `Ref`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### unreferenced

    public final void unreferenced()

  Specified by:
    `unreferenced` in interface `Ref`

### updateRef

    protected boolean updateRef(VirtualRef vref)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD